[bug] blue and yellow line are reversed
Closed, ResolvedPublic

Description

Problem statement
During the latest additions and fixes to the revision slider something must have broken the line order

mock
they used to look like this:

Acceptance criteria

  • both lines should be in the same placement as seen in the mock
Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptOct 29 2018, 4:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 471541 had a related patch set uploaded (by Zoranzoki21; owner: Vijay9908):
[mediawiki/extensions/RevisionSlider@master] Reversed the colour of sliders

https://gerrit.wikimedia.org/r/471541

Shivangi1702 added a subscriber: Swathi-0901.

Change 471776 had a related patch set uploaded (by Vijay9908; owner: Vijay9908):
[mediawiki/extensions/RevisionSlider@master] Bug: T208238 Reversed the colors of the sliders

https://gerrit.wikimedia.org/r/471776

Vijay9908 claimed this task.Nov 8 2018, 3:35 PM
Vijay9908 added a subscriber: Shivangi1702.
Vijay9908 removed a subscriber: Shivangi1702.

Change 471541 abandoned by Vijay9908:
Reversed the colour of sliders

https://gerrit.wikimedia.org/r/471541

Change 473217 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/RevisionSlider@master] Fix reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473217

Change 471776 abandoned by Thiemo Kreuz (WMDE):
Bug: T208238 Reversed the colors of the sliders

Reason:
This patch is empty. I created I0c03e47 as a fix for the bug mentioned. Please have a look.

https://gerrit.wikimedia.org/r/471776

thiemowmde moved this task from Incoming to Revision Slider on the TCB-Team board.
thiemowmde added subscribers: SrishtiSethi, thiemowmde.

I tracked the issue down to the following change in the patch about T162119: Add keyboard shortcuts to move between revisions: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/RevisionSlider/+/459678/5/modules/ext.RevisionSlider.SliderView.js. I am not sure, but it looks to me like this particular change might have been nothing but a mistake. @SrishtiSethi, can you have a look, please?

thiemowmde triaged this task as Normal priority.Nov 13 2018, 2:54 PM
thiemowmde claimed this task.
thiemowmde added subscribers: Vijay9908, WMDE-Fisch, Lea_WMDE.

Change 473217 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Fix (accidentally?) reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473217

Change 473710 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/RevisionSlider@wmf/1.33.0-wmf.4] Fix (accidentally?) reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473710

Change 473711 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/RevisionSlider@wmf/1.33.0-wmf.3] Fix (accidentally?) reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473711

Change 473711 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@wmf/1.33.0-wmf.3] Fix (accidentally?) reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473711

Change 473710 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@wmf/1.33.0-wmf.4] Fix (accidentally?) reversed blue and yellow lines

https://gerrit.wikimedia.org/r/473710

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:37:06Z] <lucaswerkmeister-wmde@deploy1001> Started scap: php-1.33.0-wmf.3/extensions/RevisionSlider/modules/ext.RevisionSlider.SliderView.js [[gerrit:473710|Fix (accidentally?) reversed blue and yellow lines (T162119, T208238)]]

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:37:17Z] <lucaswerkmeister-wmde@deploy1001> sync aborted: php-1.33.0-wmf.3/extensions/RevisionSlider/modules/ext.RevisionSlider.SliderView.js [[gerrit:473710|Fix (accidentally?) reversed blue and yellow lines (T162119, T208238)]] (duration: 00m 11s)

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:38:33Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.33.0-wmf.3/extensions/RevisionSlider/modules/ext.RevisionSlider.SliderView.js: [[gerrit:473710|Fix (accidentally?) reversed blue and yellow lines (T162119, T208238)]] (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:59:47Z] <tarrow@deploy1001> Synchronized php-1.33.0-wmf.4/extensions/RevisionSlider/modules/ext.RevisionSlider.SliderView.js: [[gerrit:473710]] Fix (accidentally?) reversed blue and yellow lines SWAT T208238 T162119 again (duration: 00m 55s)

thiemowmde closed this task as Resolved.Nov 16 2018, 5:10 PM